%
% anyremote configuration file for keyboard emulation.
%
%  This configuration file emulates a few useful buttons.
%

% STATUS stable
% XTEST yes
% SOUND mixer
% ENV no

GuiAppName=Keyboard test
GuiAppBinary=true
GuiAppIcon=keyboard.png
GuiAppType=Example
GuiAppProtocols=AT
GuiAppDesc=Simple keyboard emulation example.

[Protocol]=AT

(Init)=\
	Include($(CfgDir)/Utils/aliases-at.cfg);\
	Macro(SETUP_DEFAULT_MIXER);\
	Make(var,TwoWayComm,by_value,false);\
	Macro(CHECK_RFCOMM_DEVICE);

Answer=\
    Make(disconnect);

Cancel=\
    Make(exit);

1=Emulate(keydown,Alt_L,key,F4,keyup,Alt_L)
2=Emulate(key,Up)
3=Emulate(key,Page_Up)

4=Emulate(key,Left)
5=Emulate(key,Return)
6=Emulate(key,Right)

7=Emulate(key,Tab)
8=Emulate(key,Down)
9=Emulate(key,Page_Down)

* 1=Emulate(key,Escape)
* 2=Macro(DEFAULT_VOLUME_DOWN)
* 3=Macro(DEFAULT_VOLUME_UP)

* 7=Emulate(keydown,Alt_L,key,Tab,keyup,Alt_L)
* 9=Macro(DEFAULT_TOGGLE_MUTE)

* *=Exec(F="$(TmpDir)/anyrem.hlp";echo "1 - AltF4/Esc   2 - UpArr/Vol-  3 - PgUp/Vol+" > $F;echo "4 - L.Arrow     5 - Enter       6 - R.Arrow	" >> $F;echo "7 - Tab/AltTAb  8 - DownArr     9 - PgDn/Mute" >> $F;echo "* - Modif/Help  0 - Space" >> $F);\
	Macro(SHOW_HELP);

0  =Emulate(key,space)

[End]
